#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		perl_vendorarch	 %{_datadir}/perl5/core_perl/x86_64-linux
#-----------------------------------------------------------------------------
Name		:	perl-NetAddr-IP
Version		:	4.079
Release		:	17.2.0.rel%{?dist}
Summary		:	Manages IPv4 and IPv6 addresses and subnets
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Net::DNS

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
%description
This module provides an object-oriented abstraction on top of
IP addresses or IP subnets that allows for easy manipulations.
Version 4.xx of NetAddr::IP will work with older versions of
Perl and is compatible with Math::BigInt.

The internal representation of all IP objects is in 128 bit IPv6
notation. IPv4 and IPv6 objects may be freely mixed.

#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

find %{buildroot}%{_libdir}/perl5 -type f -name *.so -exec chmod u+w  {} ';'
#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%license Copying
%{_libdir}/perl5/%{perlvers}/core_perl/*
%{_mandir}/man3/NetAddr::IP.3.gz
%{_mandir}/man3/NetAddr::IP::*.3.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
